<%@ Page Language="C#" %>
<script runat="server">

    //  この値は、リクエストをまたがると消えてしまいます。
    private string title = "";
    
    void SomethingChanged(object sender, EventArgs e)
    {
        //  ラジオ・ボタンがクリックされた場合にのみtitleを設定する。
        if (sender == this.MrRadioButton || sender == this.MrsRadioButton || sender == MissRadioButton)
        {
            if (this.MrRadioButton.Checked)
            {
                this.title = "Mr. ";
            }
            else if (this.MrsRadioButton.Checked)
            {
                this.title = "Mrs. ";
            }
            else if (this.MissRadioButton.Checked)
            {
                this.title = "Miss ";
            }
        }
    
        this.GreetingLabel.Text = "こんにちは、" + this.title + NameTextBox.Text;
    }
    
</script>
<html>
<head>
    <title>会話状態が消えてしまう……</title>
</head>
<body>
    <form runat="server">
        <p>
            <asp:RadioButton id="MrRadioButton" runat="server" Text="Mr." GroupName="TitleGroup" OnCheckedChanged="SomethingChanged" AutoPostBack="True"></asp:RadioButton>
            <asp:RadioButton id="MrsRadioButton" runat="server" Text="Mrs." GroupName="TitleGroup" OnCheckedChanged="SomethingChanged" AutoPostBack="True"></asp:RadioButton>
            <asp:RadioButton id="MissRadioButton" runat="server" Text="Miss" GroupName="TitleGroup" OnCheckedChanged="SomethingChanged" AutoPostBack="True"></asp:RadioButton>
            <asp:TextBox id="NameTextBox" runat="server" AutoPostBack="True" OnTextChanged="SomethingChanged"></asp:TextBox>
        </p>
        <p>
            <asp:Label id="GreetingLabel" runat="server">こんにちは</asp:Label>
        </p>
    </form>
</body>
</html>
