﻿<%@ Page Language="C#" %>
<script runat="server">

    void SendButton_Click(object sender, EventArgs e)
    {
        this.MessageLabel.Text = "SendButton_Clickが実行されました。";
    
        if (!this.IsValid)
        {
            return;
        }
    
        //  メール送信処理。
    }

</script>
<html>
<head>
    <title>検証コントロールの使い方</title>
</head>
<body>
    <form runat="server">
        <p>
            電子メール・アドレス: 
            <asp:RequiredFieldValidator id="EMailAddressTextBoxRequiredFieldValidator" runat="server" ControlToValidate="EMailAddressTextBox" ErrorMessage="電子メール・アドレスを入力してください。">*</asp:RequiredFieldValidator>
            <asp:TextBox id="EMailAddressTextBox" runat="server"></asp:TextBox>
            <asp:RegularExpressionValidator id="EMailAddressTextBoxRegularExpressionValidator" runat="server" ControlToValidate="EMailAddressTextBox" ErrorMessage="電子メール・アドレスの内容が正しくありません。" ValidationExpression="\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*">userid@company.co.jp</asp:RegularExpressionValidator>
        </p>
        <p>
            <asp:Button id="SendButton" onclick="SendButton_Click" runat="server" Text="送信"></asp:Button>
        </p>
        <p>
            <asp:ValidationSummary id="ValidationSummary" runat="server"></asp:ValidationSummary>
        </p>
        <p>
            <asp:Label id="MessageLabel" runat="server"></asp:Label>
        </p>
    </form>
</body>
</html>
